Page MenuHomePhabricator

[libcxx][span] Implement solution to LWG-3255
ClosedPublic

Authored by miscco on Mar 5 2020, 12:27 PM.

Details

Summary

This implements the relaxed requirements on the std::array constructors of span,
where the type only needs to be convertible to the element type of the span.

Note that the previous tests were not sufficient, as the const array<T, n> constructor
was only tested for compile time and the array<T, N> only during runtime.

Restructure the tests so that we can test conversions as well as both constructors.

Diff Detail

Event Timeline

miscco created this revision.Mar 5 2020, 12:27 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 5 2020, 12:27 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptApr 8 2020, 11:40 AM
ldionne accepted this revision.May 7 2020, 9:43 AM
This revision is now accepted and ready to land.May 7 2020, 9:43 AM

Thanks for the review, could somebody commit it as I do not have the rights

This revision was automatically updated to reflect the committed changes.